PSID Class Reference
Inheritance diagram for PSID:

## Public Member Functions

virtual const char * | createMD5 (char *md5)
Public Member Functions inherited from SidTuneBase
unsigned int | selectSong (unsigned int songNum)
const SidTuneInfo * | getInfo () const
const SidTuneInfo * | getInfo (unsigned int songNum)
virtual bool | placeSidTuneInC64mem (sidmemory *mem)
virtual const char * | createMD5 (char *md5 SID_UNUSED)
const uint_least8_t * | c64Data () const

## Static Public Member Functions

static SidTuneBase * | load (buffer_t &dataBuf)
Static Public Member Functions inherited from SidTuneBase
static SidTuneBase * | load (const char *fileName, const char **fileNameExt, bool separatorIsSlash)
static SidTuneBase * | read (const uint_least8_t *sourceBuffer, uint_least32_t bufferLen)

## Additional Inherited Members

Protected Types inherited from SidTuneBase
typedef std::vector< uint_least8_t > | buffer_t
Protected Member Functions inherited from SidTuneBase
void | convertOldStyleSpeedToTables (uint_least32_t speed, SidTuneInfo::clock_t clock=SidTuneInfo::CLOCK_PAL)
bool | checkCompatibility ()
bool | checkRelocInfo ()
void | resolveAddrs (const uint_least8_t *c64data)
virtual void | acceptSidTune (const char *dataFileName, const char *infoFileName, buffer_t &buf, bool isSlashedFileName)
Static Protected Member Functions inherited from SidTuneBase
static void | loadFile (const char *fileName, buffer_t &bufferRef)
Protected Attributes inherited from SidTuneBase
std::auto_ptr< SidTuneInfoImpl > | info
uint_least8_t | songSpeed [MAX_SONGS]
SidTuneInfo::clock_t | clockSpeed [MAX_SONGS]
uint_least32_t | fileOffset
| For files with header: offset to real data.
buffer_t | cache
Static Protected Attributes inherited from SidTuneBase
static const unsigned int | MAX_SONGS = 256
| Also PSID file format limit.

## Member Function Documentation

## load()

SidTuneBase * PSID::load | ( | buffer_t & | dataBuf | ) |

static

Returns
  pointer to a SidTune or 0 if not a PSID file

Exceptions

  loadError | if PSID file is corrupt

The documentation for this class was generated from the following files:

- PSID.h
- PSID.cpp